Debian Bug report logs - #488219
lynx: claims to support lynx-ssl but doesn't support HTTPS URLs

version graph

Package: lynx; Maintainer for lynx is Atsuhito KOHDA <kohda@debian.org>; Source for lynx is src:lynx-cur.

Reported by: "Mario 'BitKoenig' Holbe" <Mario.Holbe@TU-Ilmenau.DE>

Date: Fri, 27 Jun 2008 07:33:43 UTC

Severity: wishlist

Found in version lynx/2.8.6-2.1

Done: Thomas Dickey <dickey@his.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, warp@debian.org (Zephaniah E. Hull):
Bug#488219; Package lynx. Full text and rfc822 format available.

Acknowledgement sent to "Mario 'BitKoenig' Holbe" <Mario.Holbe@TU-Ilmenau.DE>:
New Bug report received and forwarded. Copy sent to warp@debian.org (Zephaniah E. Hull). Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Mario 'BitKoenig' Holbe" <Mario.Holbe@TU-Ilmenau.DE>
To: submit@bugs.debian.org
Subject: lynx: claims to support lynx-ssl but doesn't support HTTPS URLs
Date: Fri, 27 Jun 2008 09:31:41 +0200
[Message part 1 (text/plain, inline)]
Package: lynx
Version: 2.8.6-2.1
Severity: serious

Hello,

with 2.8.6-2.1 lynx stopped linking against a SSL library and thus lynx
complains when it is requested to open a https:// URL:
	Alert!: This client does not contain support for HTTPS URLs.

However, the package still claims to replace and provide lynx-ssl, which
is obviously not true anymore.


regards
   Mario
-- 
But after a while I learned the trick of speaking fast. You don't have
to think any faster; just use twice as many words to say everything.
                                -- Paul Graham
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, warp@debian.org (Zephaniah E. Hull):
Bug#488219; Package lynx. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@radix.net>:
Extra info received and forwarded to list. Copy sent to warp@debian.org (Zephaniah E. Hull). Full text and rfc822 format available.

Message #10 received at 488219@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@radix.net>
To: "Mario 'BitKoenig' Holbe" <Mario.Holbe@TU-Ilmenau.DE>, 488219@bugs.debian.org
Subject: Re: Bug#488219: lynx: claims to support lynx-ssl but doesn't support HTTPS URLs
Date: Fri, 27 Jun 2008 11:36:36 -0400
[Message part 1 (text/plain, inline)]
On Fri, Jun 27, 2008 at 09:40:13AM +0200, Mario 'BitKoenig' Holbe wrote:
> Package: lynx
> Version: 2.8.6-2.1
> Severity: serious
> 
> Hello,
> 
> with 2.8.6-2.1 lynx stopped linking against a SSL library and thus lynx
> complains when it is requested to open a https:// URL:
> 	Alert!: This client does not contain support for HTTPS URLs.
> 
> However, the package still claims to replace and provide lynx-ssl, which
> is obviously not true anymore.

afaik the lynx-cur package is linking to gnutls, and that there was
some discussion about making lynx-cur replace lynx.

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, warp@debian.org (Zephaniah E. Hull):
Bug#488219; Package lynx. Full text and rfc822 format available.

Acknowledgement sent to Andreas Metzler <ametzler@downhill.at.eu.org>:
Extra info received and forwarded to list. Copy sent to warp@debian.org (Zephaniah E. Hull). Full text and rfc822 format available.

Message #15 received at 488219@bugs.debian.org (full text, mbox):

From: Andreas Metzler <ametzler@downhill.at.eu.org>
To: Mario 'BitKoenig' Holbe <Mario.Holbe@TU-Ilmenau.DE>, 488219@bugs.debian.org
Subject: Re: Bug#488219: lynx: claims to support lynx-ssl but doesn't support HTTPS URLs
Date: Fri, 27 Jun 2008 19:57:46 +0200
On 2008-06-27 Mario 'BitKoenig' Holbe <Mario.Holbe@TU-Ilmenau.DE> wrote:
> Package: lynx
> Version: 2.8.6-2.1
> Severity: serious

> Hello,

> with 2.8.6-2.1 lynx stopped linking against a SSL library and thus lynx
> complains when it is requested to open a https:// URL:
> 	Alert!: This client does not contain support for HTTPS URLs.

> However, the package still claims to replace and provide lynx-ssl, which
> is obviously not true anymore.

lynx 2.8.6 cannot support SSL due to conflicting license. So /apart/
from switching the package lynx over to to post-2.8.6 codebase
(currently shipped in package lynx-cur) the only thing to "fix" this
bug is to stop providing lynx-ssl.

Why should this bug be severity "serious"?

Switching to the new codebase is a separate rc bug, #369386.
cu andreas




Information forwarded to debian-bugs-dist@lists.debian.org, warp@debian.org (Zephaniah E. Hull):
Bug#488219; Package lynx. Full text and rfc822 format available.

Acknowledgement sent to "Mario 'BitKoenig' Holbe" <Mario.Holbe@TU-Ilmenau.DE>:
Extra info received and forwarded to list. Copy sent to warp@debian.org (Zephaniah E. Hull). Full text and rfc822 format available.

Message #20 received at 488219@bugs.debian.org (full text, mbox):

From: "Mario 'BitKoenig' Holbe" <Mario.Holbe@TU-Ilmenau.DE>
To: Andreas Metzler <ametzler@downhill.at.eu.org>
Cc: 488219@bugs.debian.org
Subject: Re: Bug#488219: lynx: claims to support lynx-ssl but doesn't support HTTPS URLs
Date: Fri, 27 Jun 2008 20:18:08 +0200
[Message part 1 (text/plain, inline)]
On Fri, Jun 27, 2008 at 07:57:46PM +0200, Andreas Metzler wrote:
> (currently shipped in package lynx-cur) the only thing to "fix" this
> bug is to stop providing lynx-ssl.

Yes.

> Why should this bug be severity "serious"?

Because the package claims things it cannot hold. It's just as formal as
stopping to build against OpenSSL(wrapper). However, it's easy to fix,
so this should not be a big issue at all.


Mario
-- 
<delta> talk softly and carry a keen sword
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, warp@debian.org (Zephaniah E. Hull):
Bug#488219; Package lynx. Full text and rfc822 format available.

Acknowledgement sent to Andreas Metzler <ametzler@downhill.at.eu.org>:
Extra info received and forwarded to list. Copy sent to warp@debian.org (Zephaniah E. Hull). Full text and rfc822 format available.

Message #25 received at 488219@bugs.debian.org (full text, mbox):

From: Andreas Metzler <ametzler@downhill.at.eu.org>
To: Mario 'BitKoenig' Holbe <Mario.Holbe@TU-Ilmenau.DE>, 488219@bugs.debian.org
Subject: Re: Bug#488219: lynx: claims to support lynx-ssl but doesn't support HTTPS URLs
Date: Sat, 28 Jun 2008 08:31:07 +0200
On 2008-06-27 Mario 'BitKoenig' Holbe <Mario.Holbe@TU-Ilmenau.DE> wrote:
> On Fri, Jun 27, 2008 at 07:57:46PM +0200, Andreas Metzler wrote:
>> (currently shipped in package lynx-cur) the only thing to "fix" this
>> bug is to stop providing lynx-ssl.

> Yes.

>> Why should this bug be severity "serious"?

> Because the package claims things it cannot hold. It's just as formal as
> stopping to build against OpenSSL(wrapper). However, it's easy to fix,
> so this should not be a big issue at all.

Hello,
Sorry, looks like my question was to unspecific. We have got rather
clear guidelines what makes a bug serious:

http://www.debian.org/Bugs/Developer.en.html#severities
serious
   is a severe violation of Debian policy (roughly, it violates a must
   or required directive), or, in the package maintainer's or release
   manager's opinion, makes the package unsuitable for release.

http://release.debian.org/lenny/rc_policy.txt

Afaict this bug does not match either of them.

I care about this because stopping linkage against gnutls OpenSSL
compat layer really fixed a serious bug in the packages, and this fix
needs to propagate to testing. "Your" bug prevents this or is going to
delay the propagation for at least another week. So I would appreciate
if you could either back up the severity claim or downgrade the bug.

thanks for considering, cu andreas
-- 
`What a good friend you are to him, Dr. Maturin. His other friends are
so grateful to you.'
`I sew his ears on from time to time, sure'




Information forwarded to debian-bugs-dist@lists.debian.org, warp@debian.org (Zephaniah E. Hull):
Bug#488219; Package lynx. Full text and rfc822 format available.

Acknowledgement sent to "Zephaniah E. Hull" <warp@aehallh.com>:
Extra info received and forwarded to list. Copy sent to warp@debian.org (Zephaniah E. Hull). Full text and rfc822 format available.

Message #30 received at 488219@bugs.debian.org (full text, mbox):

From: "Zephaniah E. Hull" <warp@aehallh.com>
To: control@bugs.debian.org
Cc: Andreas Metzler <ametzler@downhill.at.eu.org>, 488219@bugs.debian.org, Mario 'BitKoenig' Holbe <Mario.Holbe@TU-Ilmenau.DE>
Subject: Re: Bug#488219: lynx: claims to support lynx-ssl but doesn't support HTTPS URLs
Date: Sat, 28 Jun 2008 02:50:27 -0400
severity 488219 wishlist

done

I may not have had the time to give this package even close to the
attention I should be giving it.

But I dislike seeing fixes delayed for reasons like this.

Zephaniah E. Hull.

On Sat, Jun 28, 2008 at 08:31:07AM +0200, Andreas Metzler wrote:
> On 2008-06-27 Mario 'BitKoenig' Holbe <Mario.Holbe@TU-Ilmenau.DE> wrote:
> > On Fri, Jun 27, 2008 at 07:57:46PM +0200, Andreas Metzler wrote:
> >> (currently shipped in package lynx-cur) the only thing to "fix" this
> >> bug is to stop providing lynx-ssl.
> 
> > Yes.
> 
> >> Why should this bug be severity "serious"?
> 
> > Because the package claims things it cannot hold. It's just as formal as
> > stopping to build against OpenSSL(wrapper). However, it's easy to fix,
> > so this should not be a big issue at all.
> 
> Hello,
> Sorry, looks like my question was to unspecific. We have got rather
> clear guidelines what makes a bug serious:
> 
> http://www.debian.org/Bugs/Developer.en.html#severities
> serious
>    is a severe violation of Debian policy (roughly, it violates a must
>    or required directive), or, in the package maintainer's or release
>    manager's opinion, makes the package unsuitable for release.
> 
> http://release.debian.org/lenny/rc_policy.txt
> 
> Afaict this bug does not match either of them.
> 
> I care about this because stopping linkage against gnutls OpenSSL
> compat layer really fixed a serious bug in the packages, and this fix
> needs to propagate to testing. "Your" bug prevents this or is going to
> delay the propagation for at least another week. So I would appreciate
> if you could either back up the severity claim or downgrade the bug.
> 
> thanks for considering, cu andreas
> -- 
> `What a good friend you are to him, Dr. Maturin. His other friends are
> so grateful to you.'
> `I sew his ears on from time to time, sure'
> 
> 

-- 




Severity set to `wishlist' from `serious' Request was from "Zephaniah E. Hull" <warp@aehallh.com> to control@bugs.debian.org. (Sat, 28 Jun 2008 06:54:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#488219; Package lynx. (Sat, 29 Aug 2009 13:48:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. (Sat, 29 Aug 2009 13:48:11 GMT) Full text and rfc822 format available.

Message #37 received at 488219@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 488219@bugs.debian.org
Cc: 488219-submitter@bugs.debian.org
Subject: re: #488219 lynx: claims to support lynx-ssl but doesn't support HTTPS URLs
Date: Sat, 29 Aug 2009 09:42:07 -0400
[Message part 1 (text/plain, inline)]
This is fixed since (ignoring lynx/lynx-cur), the testing/unstable versions
use 2.8.7rel.1 with gnutls.

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Reply sent to dickey@his.com:
You have taken responsibility. (Sat, 29 Aug 2009 13:48:17 GMT) Full text and rfc822 format available.

Notification sent to "Mario 'BitKoenig' Holbe" <Mario.Holbe@TU-Ilmenau.DE>:
Bug acknowledged by developer. (Sat, 29 Aug 2009 13:48:17 GMT) Full text and rfc822 format available.

Message #42 received at 488219-done@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 488219-done@bugs.debian.org
Subject: re: #488219 lynx: claims to support lynx-ssl but doesn't support HTTPS URLs
Date: Sat, 29 Aug 2009 09:42:42 -0400
[Message part 1 (text/plain, inline)]
testing/unstable use gnutls

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Message sent on to "Mario 'BitKoenig' Holbe" <Mario.Holbe@TU-Ilmenau.DE>:
Bug#488219. (Sat, 29 Aug 2009 13:48:20 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 27 Sep 2009 07:29:14 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 19:47:49 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.